import net.sf.saxon.Transform;

/**
 * Simple class to invoke Saxon to transform the XML+XSLT into XHTML.  This is
 * only used when building EASIK, and is not part of the actual EASIK
 * application.
 */

public class HelpTransform {
	public static void main(String args[]) {
		for (String filename: args) {
			if (filename.equals("source/help/toc.xml")) {
				String out = "build/EasikHelp/easikTOC.xml";
				System.out.println("\tTransforming " + filename + " -> " + out);
				new Transform().doTransform(new String[]{"-versionmsg:off", "-o:"+out, "-xsl:source/help/xsl/toc.xsl", filename}, "java HelpTransform");

				out = "build/EasikHelp/easik.jhm";
				System.out.println("\tTransforming " + filename + " -> " + out);
				new Transform().doTransform(new String[]{"-versionmsg:off", "-o:"+out, "-xsl:source/help/xsl/toc-map.xsl", filename}, "java HelpTransform");
			}
			else {
				String out = filename.replaceFirst("^source/help/xml/", "build/EasikHelp/html/").replaceFirst("\\.xml$", ".html");
				System.out.println("\tTransforming " + filename + " -> " + out);
				new Transform().doTransform(new String[]{"-a", "-versionmsg:off", "-o:"+out, filename, "xml-to-html=1"}, "java HelpTransform");
			}
		}
	}
}
