package easik.database.types;

import java.sql.Types;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * A class representing a BIGINT SQL data type.  A BIGINT can contain values
 * from -2^63 to 2^63-1.
 */
public class BigInt extends Type {
	public String toString() { return "BIGINT"; }

	public boolean verifyInput(String input){ return input.matches("^[-+]?\\d{1,19}$"); }

	public int getSqlType(){ return Types.BIGINT; }

	public void bindValue(PreparedStatement ps, int col, String value) throws SQLException{
		ps.setLong(col, Long.parseLong(value));
	}
}
