package easik.database.types;

import java.sql.Types;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * A class representing a BOOLEAN SQL data type.  A BOOLEAN value
 * contains a true/false value.
 */
public class Boolean extends Type {
	public String toString() { return "BOOLEAN"; }

	public boolean verifyInput(String input){ return input.matches("^(?i:true|false)$"); }
	
	public int getSqlType() { return Types.BOOLEAN; }

	public void bindValue(PreparedStatement ps, int col, String value) throws SQLException{
		ps.setBoolean(col, java.lang.Boolean.parseBoolean(value));
	}
}
