package easik.database.types;

import java.sql.Types;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * A class representing a TIME SQL data type.  A time value stores a time of day
 * (such as 15:07:12) without an associated date.  See also DATE and TIMESTAMP.
 */
public class Time extends Type {
	public String toString() { return "TIME"; }

	public boolean verifyInput(String input){
		return true;
	}

	public int getSqlType(){ return Types.TIME; }

	public void bindValue(PreparedStatement ps, int col, String value) throws SQLException{
		ps.setTime(col, new java.sql.Time(Long.parseLong(value)));
	}
}
