package easik.ui.datamanip;

import easik.database.types.*;

/**
 * Simple wrapper class to hold information entered to a column. Contains the column's name, a String 
 * representation of the input, and the column's type.
 */

public class ColumnEntry{

	/** The column's name where this entry exists */
	private String columnName;
	/** The column's value */
	private String value;
	/** The Type found in this column */
	private Type type;

	public ColumnEntry(String inName, String inValue, Type inType){
		columnName = inName;
		value = inValue;
		type = inType;
	}

	public String getColumnName(){
		return columnName;
	}

	public String getValue(){
		return value;
	}

	public Type getType(){
		return type;
	}

}
