package easik.ui.menu;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import easik.ui.SketchFrame;
import easik.sketch.states.AddPullbackConstraintState;


/**
 * Add a simple pullback constraint menu option and action.
 * 
 * @author Rob Fletcher 2005
 * @author Kevin Green 2006
 * @author Vera Ranieri 2006
 * @version 2006-05-25 Vera Ranieri
 */
public class AddPullbackConstraintAction extends AbstractAction {
	
	SketchFrame _theFrame;
	/**
	 * Creates and initializes the menu option.
	 *
	 */
	public AddPullbackConstraintAction(SketchFrame inFrame) {
		super();
		_theFrame = inFrame;
		putValue(AbstractAction.NAME, "Add a Pullback Constraint");
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Create a pullback constraint from a set of paths");
	}

	/**
	 * Creates the pullback if the selection is appropriate.
	 *
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		if(!_theFrame.getSketch().getEntities().isEmpty()){
			_theFrame.getSketch().getStateManager().pushState(
				new AddPullbackConstraintState(_theFrame.getSketch()));
		}
		else{
			JOptionPane.showMessageDialog(null, "Sketch cannot be empty.", "Error", JOptionPane.ERROR_MESSAGE);
		}
		
	}
}
