package easik.ui.menu;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import easik.ui.SketchFrame;
import easik.sketch.states.AddSumConstraintState;


/**
 * The menu action which creates simple sum constraints.
 * 
 * @author Rob Fletcher 2005
 * @author Kevin Green 2006
 * @version 2006-05-23 Kevin Green
 */
public class AddSumConstraintAction extends AbstractAction {

	SketchFrame _theFrame;

	/**
	 * Creates and initializes the menu option.
	 *
	 */
	public AddSumConstraintAction(SketchFrame inFrame) {
		super();
		_theFrame = inFrame;
		putValue(AbstractAction.NAME, "Add a Sum Constraint");
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Assign a sum constraint to a set of injective paths");
	}

	/**
	 * Creates a sum constraint if the selection allows that.
	 * 
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		if(!_theFrame.getSketch().getEntities().isEmpty()){
			_theFrame.getSketch().getStateManager().pushState(
				new AddSumConstraintState(_theFrame.getSketch()));
		}
		else{
			JOptionPane.showMessageDialog(null, "Sketch cannot be empty.", "Error", JOptionPane.ERROR_MESSAGE);
		}
	}

}
