package easik.ui.menu;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;

import easik.ui.SketchFrame;
import easik.ui.ViewFrame;
import easik.ui.EasikFrame;
import easik.ui.DocInfoUI;


/** 
 * Menu action for displaying document info for sketch frames and view frames
 * 
 * @author Kevin Green 2006
 * @since 20006-06-22 Kevin Green
 * @version 2006-06-22 Kevin Green
 */

public class DocumentInfoAction extends AbstractAction {

	private EasikFrame _theFrame;

	/**
	 *	Set up the document menu option.
	 */
	private DocumentInfoAction(EasikFrame inFrame) {
		super("Document Information");
		_theFrame = inFrame;
		putValue( AbstractAction.MNEMONIC_KEY,  new Integer(KeyEvent.VK_I));
		putValue( AbstractAction.SHORT_DESCRIPTION,  "Information about the current sketch");		
	}

	public DocumentInfoAction(SketchFrame inFrame){
		this((EasikFrame)inFrame);
	}
	public DocumentInfoAction(ViewFrame inFrame){
		this((EasikFrame)inFrame);
	}
	
	/**
	 * Brings up a dialog to set the document header information.
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e ) {
		//System.out.println("Set document header info pressed!");
		new DocInfoUI(_theFrame);
	}
}
