package easik.ui.menu;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;

import easik.Easik;
import easik.ui.EasikFrame;
import easik.ui.ApplicationFrame;


/** 
 * Menu action for quitting a frame.
 * 
 * @author Rob Fletcher 2005
 * @author Kevin Green 2006
 * @version 2006-06-23 Kevin Green
 */

public class FileQuitAction extends AbstractAction {

	EasikFrame _theFrame;

	/**
	 *	Set up the quit menu option.
	 */
	public FileQuitAction(EasikFrame inFrame) {
		super((inFrame instanceof ApplicationFrame) ? "Quit" : "Close");
		_theFrame = inFrame;
		putValue( AbstractAction.MNEMONIC_KEY,  new Integer(KeyEvent.VK_Q));
		putValue( AbstractAction.SHORT_DESCRIPTION,  (inFrame instanceof ApplicationFrame) ? "Quit the EASIK Application" : "Close this EASIK Sketch Window");		
	}
	
	/**
	 * Quits the application, warns if the sketch is dirty. \\FIXME no it doesn't...
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e ) {
		_theFrame.closeWindow();
	}
}
