package easik.ui.menu.popup;

import java.awt.event.ActionEvent;

import java.util.*;
import java.sql.*;

import javax.swing.AbstractAction;

import easik.database.DatabaseDriver;
import easik.database.types.*;
import easik.sketch.Sketch;
import easik.ui.datamanip.*;

/**
 * Action for clearing our SQL server connection.
 */
public class DisconnectAction extends AbstractAction {
	/** The sketch containing the connection we wish to clear */
	private Sketch _theSketch;

	/**
	 * Prepare the menu option, as well as pass a reference to the last
	 * clicked point, which is used when positioning the new entity.
	 */
	public DisconnectAction(Sketch inSketch) {
		super("Disconnect");
		_theSketch = inSketch;
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Disable Current Connection");
	}

	/**
	 * Clears the sketch's driver, and hides the datamanip frame
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		_theSketch.cleanDatabaseDriver();
		_theSketch.getFrame().setVisible(false);
	}
}
