<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="globals.xsl"/>

<xsl:output method="xml" encoding="utf-8" doctype-system="http://java.sun.com/products/javahelp/map_1_0.dtd"
  doctype-public="-//Sun Microsystems Inc.//DTD JavaHelp Map Version 1.0//EN" indent="yes"/>

<xsl:template match="/toc">
  <map version="1.0">
	<mapID target="toplevelfolder" url="images/easik-icon.png"/>
	<mapID target="mainfolder" url="html/images/mainfolder.gif"/>
	<mapID target="operationalfolder" url="html/images/operation.png"/>
	<mapID target="element" url="html/images/element.png"/>
	<mapID target="exportIm" url="html/images/exportFolder.png"/>
	<mapID target="attributeIm" url="html/images/attributeFolder.png"/>
	<mapID target="constraintIm" url="html/images/constraintFolder.png"/>

	<xsl:apply-templates select="topic"/>
  </map>
</xsl:template>

<xsl:template match="topic">
  <xsl:if test="@document">
	<xsl:variable name="base-id" select="substring-before(@document, '.xml')"/>
	<mapID target="{$base-id}" url="html/{$base-id}.html"/>
	<xsl:for-each select="document(concat('../xml/', @document))/help">
	  <xsl:apply-templates select="section">
		<xsl:with-param name="base-id" select="$base-id"/>
	  </xsl:apply-templates>
	</xsl:for-each>
  </xsl:if>
  <xsl:apply-templates select="topic"/>
</xsl:template>

<xsl:template match="section">
  <xsl:param name="base-id"/>
  <xsl:if test="@id"><mapID target="{$base-id}#{@id}" url="html/{$base-id}.html#{@id}"/></xsl:if>

  <xsl:apply-templates select="section">
	<xsl:with-param name="base-id" select="$base-id"/>
  </xsl:apply-templates>
</xsl:template>

</xsl:stylesheet>

<!-- vim:sw=2
-->
